This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 52680 - Compilation hangs
Compilation hangs
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: w3c-libwww (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-27 18:02 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-27 18:02:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-27 18:02:15 EDT
Description of Problem:
Fails to build from source

Version-Release number of selected component (if applicable):
w3c-libwww-5.2.8-9

How Reproducible:
Every time

Steps to Reproduce:
1. rpm --rebuild w3c-libwww-5.2.8-9.src.rpm
2. 
3. 

Actual Results:
....
gcc -DHAVE_CONFIG_H -I. -I. -I../../.. -O2 -march=i686 -c xmltok.c  -fPIC
-DPIC -o .libs/xmltok.lo
mv -f .libs/xmltok.lo xmltok.o
(cd . && ln -s xmltok.o xmltok.lo)
/bin/sh ../../../libtool --mode=link gcc  -O2 -march=i686 -version-info
"1:0:1" -o libxmltok.la  -rpath /usr/lib xmlrole.lo xmltok.lo  -ldl  -lz
rm -fr .libs/libxmltok.la .libs/libxmltok.* .libs/libxmltok.*


Expected Results:
Successful compile

Additional Information:
Could it be the :'s in the version-info string that confuses libtool?
Comment 1 Crutcher Dunnavant 2001-08-28 01:12:24 EDT
the fix is:

add the following line to the spec file, before %configure

%define __libtoolize /bin/true

Note You need to log in before you can comment on or make changes to this bug.